stages:
  - build

image: golang

.build:
  before_script:
    - cp config.template.yml config.yml
  stage: build

build_linux:
  extends: .build
  artifacts:
    name: "vlpso-$CI_COMMIT_REF_NAME.linux-amd64"
    paths:
      - vlpso
      - config.yml
  script: 
    - go build -o vlpso

build_windows:
  extends: .build
  artifacts:
    name: "vlpso-$CI_COMMIT_REF_NAME.win-amd64"
    paths:
      - vlpso.exe
      - config.yml
  script:
    - GOOS=windows GOARCH=amd64 go build -o vlpso.exe
